"""empty message

Revision ID: 2fe7e93e063f
Revises: 64b5df2b98cb
Create Date: 2018-05-16 14:21:04.024925

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '2fe7e93e063f'
down_revision = '64b5df2b98cb'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('favorit')
    op.drop_table('reviews')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('reviews',
    sa.Column('no_hp_pembeli', sa.VARCHAR(length=12), autoincrement=False, nullable=False),
    sa.Column('no_hp_pedagang', sa.VARCHAR(length=12), autoincrement=False, nullable=False),
    sa.Column('deskripsi', sa.VARCHAR(length=150), autoincrement=False, nullable=False),
    sa.Column('rating', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['no_hp_pedagang'], ['pedagang.no_hp'], name='reviews_no_hp_pedagang_fkey', onupdate='CASCADE', ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['no_hp_pembeli'], ['pembeli.no_hp'], name='reviews_no_hp_pembeli_fkey', onupdate='CASCADE', ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('no_hp_pembeli', 'no_hp_pedagang', 'deskripsi', name='reviews_pkey')
    )
    op.create_table('favorit',
    sa.Column('no_hp_pembeli', sa.VARCHAR(length=12), autoincrement=False, nullable=False),
    sa.Column('no_hp_pedagang', sa.VARCHAR(length=12), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['no_hp_pedagang'], ['pedagang.no_hp'], name='favorit_no_hp_pedagang_fkey', onupdate='CASCADE', ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['no_hp_pembeli'], ['pembeli.no_hp'], name='favorit_no_hp_pembeli_fkey', onupdate='CASCADE', ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('no_hp_pembeli', 'no_hp_pedagang', name='favorit_pkey')
    )
    # ### end Alembic commands ###
